commit:     319bc0bef52c9141a8ed38ce697746524c675af9
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 29 15:05:00 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sat Apr 29 19:31:21 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=319bc0be

app-arch/dtrx: bump to 8.5.2

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-arch/dtrx/Manifest          |  1 +
 app-arch/dtrx/dtrx-8.5.2.ebuild | 57 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/app-arch/dtrx/Manifest b/app-arch/dtrx/Manifest
index 304aa96c2903..9c719a1055c6 100644
--- a/app-arch/dtrx/Manifest
+++ b/app-arch/dtrx/Manifest
@@ -1 +1,2 @@
 DIST dtrx-8.5.0.tar.gz 34061 BLAKE2B 
d8ecbd9f3594440656e40d811846dd302d271f189711176a406572871db69f98bb4fd81a76ebdce697faf8d56029f4dcf735d18795adf732809e6017a7395cf2
 SHA512 
0ef0c0c9c22d948f6a8ee801372605dae52f4f571a32bbaa180c2c1daab061d623119c91b745f6a86cd28d7d08cdb47029a4de38354bdb28c62acfab080cc0f1
+DIST dtrx-8.5.2.tar.gz 34112 BLAKE2B 
01d13bc2f53bb8093c8c69acea6af4d80ef3c58dc61ad28a79b1385814693738c371bb38742aa6df933c8f69d1ad86ba05c45d222e4b5398df8fc811c50c2c9e
 SHA512 
b8091bc0a948b9fd796b9a6e335e270736e9a66d103406bbac7d5064cf01067daed5f4287ab5e29aca61819915461ff31979dda437fd6089ab3f62c44d97f065

diff --git a/app-arch/dtrx/dtrx-8.5.2.ebuild b/app-arch/dtrx/dtrx-8.5.2.ebuild
new file mode 100644
index 000000000000..e0fd47057821
--- /dev/null
+++ b/app-arch/dtrx/dtrx-8.5.2.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Do The Right eXtraction - extracts archives of different formats"
+HOMEPAGE="https://github.com/dtrx-py/dtrx/
+       https://pypi.org/project/dtrx/";
+
+if [[ ${PV} == *9999* ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/${PN}-py/${PN}.git";
+else
+       inherit pypi
+       KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+
+DOCS=( README.md )
+
+src_prepare() {
+       sed -i '/ *platform==/s|.*||' setup.cfg || die  # bug #894148
+
+       distutils-r1_src_prepare
+}
+
+pkg_postinst() {
+       local supported_format
+       local -a supported_formats=(
+               arj
+               bzip2
+               cpio
+               gzip
+               lrzip
+               lzip
+               p7zip
+               rpm
+               unrar
+               unzip
+               xz-utils
+               zip
+               zstd
+       )
+
+       for supported_format in ${supported_formats[@]}; do
+               optfeature                                                      
   \
+                       "extraction of supported archives using 
${supported_format}"   \
+                       app-arch/${supported_format}
+       done
+}

Reply via email to